Only 10 templates are installed
Status: Closed   
Assignee: Greg Sutcliffe   
Target version: 1.2.0   
Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hello,

after Rails 3.2 upgrade (latest develop branch) when I install Foreman on sqlite or postgres or mysql I always see only the following

templates:

Name    Hostgroup / Environment    Kind    Snippet    

Grubby Default        script        Delete

Kickstart default PXElinux        PXELinux        Delete

Kickstart default gPXE        gPXE        Delete

PXE Default File                Delete

PXE Localboot Default                Delete

Preseed default PXElinux        PXELinux        Delete

YaST2 Default        provision        Delete

YaST2 default PXELinux        PXELinux        Delete

epel                Delete

http_proxy                Delete

Associated revisions

Revision 5c0ce409 - 04/08/2013 03:47 AM - Greg Sutcliffe

fixes #2376 Update migrations to match new rails3.2 paths

History

#1 - 04/05/2013 12:20 PM - Greg Sutcliffe

- Category set to DB migrations

- Assignee set to Greg Sutcliffe

- Target version set to 1.2.0

Looks like a problem with the Rails 3.2 commit - some files were renamed without the migrations being updated. Patch incoming.

#2 - 04/05/2013 12:23 PM - Greg Sutcliffe

- Status changed from New to Ready For Testing

PR at https://github.com/theforeman/foreman/pull/507

#3 - 04/08/2013 06:40 AM - Greg Sutcliffe

- Status changed from Ready For Testing to Closed

Fixed in 5c0ce4095029235a7256332da24c6f1a9d165631
